
Redmine - Feature #3177

Add "Check for updates" functionality to installed plugins

2009-04-15 13:46 - Maxim Krušina

Status: Closed Start date: 2009-04-15

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Plugin Request Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed   

Description

On page with overview of installed plugins, there is version of currently installed plugin, which is ok.

My idea is to have simply one more column, where will be displayed lates version of plugin.

It can be done simply by accessign special Plugin's URL, on which plugin developer return latest plugin version.

If there is newer plugin version, table field should be green, or so.

Also, there can be for example 1x per week email with notification about possible plugin updates sent to redmine admin.

Related issues:

Related to Redmine - Feature #5863: Remove All Plugins New 2010-07-10

Related to Redmine - Defect #16794: plugin update check not working correctly New

Associated revisions

Revision 13042 - 2014-04-05 16:00 - Jean-Philippe Lang

Adds "Check for updates" for installed plugins (#3177).

Revision 13043 - 2014-04-05 16:05 - Jean-Philippe Lang

Adds strings to locales (#3177).

Revision 13044 - 2014-04-05 16:08 - Jean-Philippe Lang

Adds strings to locales (#3177).

Revision 13049 - 2014-04-05 16:38 - Jean-Philippe Lang

Merged r13042 to r13044 (#3177).

Revision 13052 - 2014-04-06 13:03 - Jean-Philippe Lang

Missing closing tag (#3177).

Revision 13053 - 2014-04-06 13:04 - Jean-Philippe Lang

Merged r13052 (#3177).

History

#1 - 2009-04-30 03:57 - Eric Davis

I've thought of something similar.  Once my current commitments slowdown, I'll see what we can do for this.

#2 - 2010-06-24 00:17 - Paul paul

Eric Davis wrote:

I've thought of something similar.  Once my current commitments slowdown, I'll see what we can do for this.

 Has there been any progress on this? Thank you.

#3 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#4 - 2013-05-02 03:08 - Jean-Baptiste Barth
- Category changed from Plugin API to Plugin Request

It could be implemented as ... a plugin (a bit meta I admit). http://www.redmine.org/plugins would be a good basis for that but unfortunately it isn't

widely used for now. An other solution would be to have plugins distributed as gems, but again, this is not a technical issue I think, more a "usage"

one. Having the plugin tell itself how it can check its version wouldn't be a good solution imho (mainly security concerns)

#5 - 2014-04-05 15:59 - Jean-Philippe Lang

- Subject changed from Add update functionality to installed plugins to Add "Check for updates" functionality to installed plugins

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.6

#6 - 2014-04-05 15:59 - Jean-Philippe Lang

- Target version changed from 2.4.6 to 2.5.2

#7 - 2014-04-05 16:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Merged.

#8 - 2014-04-05 18:13 - Ivan Cenov

If the list of plugins is long, the link ':label_check_for_updates' is not seen. I added following and before the table - it seems to me conveniently. If you

think the same you may want to add it in plugins.html.erb.

<p><a href="#" id="check-for-updates"><%= l(:label_check_for_updates) %></a>

<% if @plugins.any? %>

<p><a href="#" id="check-for-updates"><%= l(:label_check_for_updates) %></a>

<table class="list plugins">

...

#9 - 2014-04-11 21:55 - Kirill Bezrukov (RedmineUP)

Would be great to have something like plugin_website_indetifier, because sometime plugin directory already has the same identifiers.

Ex. I have plugin redmine_contacts, but redmine_contacts already busy on redmine.org with another plugin and main called crm.

#10 - 2014-05-03 00:11 - Tobias Fischer

As this issue is still planned for v2.5.2 I'd like to point out issue #16794 to you as it seems that the plugin check doesn't always work as expected.

Probably someone can have a look... Thanks!

#11 - 2014-06-09 15:50 - Alex Bevilacqua

I started to develop something like this (https://github.com/alexbevi/redmine_plugin_updates) but the goal was to parse the version from the init.rb of a

plugin on a public scm. As a core implementation will be much more useful than a plugin, I've abandoned my own effort, but it might be beneficial to

have an option to check alternate sources for updates, as not all plugins are registered in the plugin directory.

#12 - 2014-07-11 07:53 - Akiko Takano

Alex Bevilacqua wrote:

I started to develop something like this (https://github.com/alexbevi/redmine_plugin_updates) but the goal was to parse the version from the

init.rb of a plugin on a public scm.

 Hi, thank you for your posting and above plugin. Since I've tried that I'll send some feedback if you don't mind:)

#13 - 2014-07-11 08:01 - Akiko Takano

Thanks for this feature.

But in my environment, Firefox failed to get plugin information from redmine.org's api. I wonder if the cross domain limitation with ajax or not.

Chrome, Safari works fine.

#14 - 2014-07-17 02:33 - Sam  Sheen

- File zh-TW.yml added
provide plugin translation for Tradional Cheinese

#15 - 2014-08-03 16:13 - Go MAEDA

Sam  Sheen wrote:

provide plugin translation for Tradional Cheinese

 You would be better to create a new issue. You can see examples.

#16 - 2014-08-09 07:27 - Toshi MARUYAMA

Sam  Sheen wrote:

provide plugin translation for Tradional Cheinese

 It seems for https://github.com/go2null/redmine_issue_checklist/tree/master/config/locales .

#17 - 2014-09-01 22:29 - Etienne Massip

- Related to Defect #16794: plugin update check not working correctly added

Files

zh-TW.yml 453 Bytes 2014-07-17 Sam  Sheen
